Loading...
Searching...
No Matches
Ui::CMainUserInterface Class Reference

## Classes

struct | Particle

## Public Member Functions

CMainDialog * | GetDialog ()
void | ShowLoadingScreen (bool show)
CScreenLoading * | GetLoadingScreen ()
bool | EventProcess (const Event &event)
void | ChangePhase (Phase phase)
bool | GetSceneSoluce ()
bool | GetPlusTrainer ()
bool | GetPlusResearch ()
bool | GetPlusExplorer ()
void | UpdateChapterPassed ()
void | NextMission ()
bool | GetGamerOnlyHead ()
float | GetPersoAngle ()
void | AllMissionUpdate ()
void | ShowSoluceUpdate ()
void | UpdateCustomLevelList ()
std::string | GetCustomLevelName (int id)
const std::vector< std::string > & | GetCustomLevelList ()

## Protected Member Functions

void | GlintMove ()
void | FrameParticle (float rTime)
void | CreateMouseParticles (Math::Point mousePosition, bool buttonPressed)
CScreenSetup * | GetSetupScreen (Phase phase)

## Protected Attributes

CApplication * | m_app
CRobotMain * | m_main
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particleManager
CInterface * | m_interface
CSoundInterface * | m_sound
CSettings * | m_settings
std::unique_ptr< CMainDialog > | m_dialog
CScreen * | m_currentScreen
std::unique_ptr< CScreenAppearance > | m_screenAppearance
std::unique_ptr< CScreenIORead > | m_screenIORead
std::unique_ptr< CScreenIOWrite > | m_screenIOWrite
std::unique_ptr< CScreenLevelList > | m_screenLevelList
std::unique_ptr< CScreenLoading > | m_screenLoading
std::unique_ptr< CScreenMainMenu > | m_screenMainMenu
std::unique_ptr< CScreenModList > | m_screenModList
std::unique_ptr< CScreenPlayerSelect > | m_screenPlayerSelect
std::unique_ptr< CScreenQuit > | m_screenQuit
std::unique_ptr< CScreenSetupControls > | m_screenSetupControls
std::unique_ptr< CScreenSetupDisplay > | m_screenSetupDisplay
std::unique_ptr< CScreenSetupGame > | m_screenSetupGame
std::unique_ptr< CScreenSetupGraphics > | m_screenSetupGraphics
std::unique_ptr< CScreenSetupSound > | m_screenSetupSound
std::unique_ptr< CScreenWelcome > | m_screenWelcome
Phase | m_phase
int | m_shotDelay
std::string | m_shotName
Math::Point | m_glintMouse
float | m_glintTime
std::array< Particle, 10 > | m_particles

The documentation for this class was generated from the following files:

- src/ui/mainui.h
- src/ui/mainui.cpp